info.bioinfweb.jphyloio.formats.nexml

## Interface NeXMLConstants

- All Known Implementing Classes:
    AbstractIDLinkSetElementReader, AbstractNeXMLDataReceiver, AbstractNeXMLDataReceiverMixin, AbstractNeXMLElementReader, AbstractSetElementReader, NeXMLAttributeMetadataReceiver, NeXMLCharacterSetEventReceiver, NeXMLCollectCharSetDataReceiver, NeXMLCollectNamespaceReceiver, NeXMLCollectSequenceDataReceiver, NeXMLCollectSetMetadataReceiver, NeXMLCollectTokenSetDefinitionDataReceiver, NeXMLEventReader, NeXMLEventWriter, NeXMLFactory, NeXMLHandleSequenceDataReceiver, NeXMLIgnoreCertainMetadataReceiver, NeXMLMetaDataReceiver, NeXMLMetaEndElementReader, NeXMLMetaStartElementReader, NeXMLMolecularDataTokenDefinitionReceiver, NeXMLOnlyWriteMetaDataReceiver, NeXMLPredicateMetaReceiver, NeXMLSequenceTokensReceiver, NeXMLSetEndElementReader, NeXMLTokenSetEventReceiver, NeXMLWriterAlignmentInformation, NeXMLWriterStreamDataProvider, UndefinedOTUListDataAdapter

      public interface NeXMLConstants

  Defines constants necessary to read and write NeXML files.
  Author:
    Sarah Wiechers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `ATTR_ABOUT`
    `static javax.xml.namespace.QName` | `ATTR_CELL_SET_LINKED_IDS`
    `static javax.xml.namespace.QName` | `ATTR_CHAR_SET_LINKED_IDS`
    `static javax.xml.namespace.QName` | `ATTR_CODON_POSITION`
    `static javax.xml.namespace.QName` | `ATTR_CONTENT`
    `static javax.xml.namespace.QName` | `ATTR_DATATYPE`
    `static javax.xml.namespace.QName` | `ATTR_GENERATOR`
    `static javax.xml.namespace.QName` | `ATTR_HREF`
    `static javax.xml.namespace.QName` | `ATTR_ID`
    `static javax.xml.namespace.QName` | `ATTR_LABEL`
    `static javax.xml.namespace.QName` | `ATTR_LENGTH`
    `static javax.xml.namespace.QName` | `ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS`
    `static javax.xml.namespace.QName` | `ATTR_NODE_EDGE_SET_LINKED_NODE_IDS`
    `static javax.xml.namespace.QName` | `ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS`
    `static javax.xml.namespace.QName` | `ATTR_OTU_SET_LINKED_IDS`
    `static javax.xml.namespace.QName` | `ATTR_OTUS`
    `static javax.xml.namespace.QName` | `ATTR_PROPERTY`
    `static javax.xml.namespace.QName` | `ATTR_REL`
    `static javax.xml.namespace.QName` | `ATTR_ROOT`
    `static javax.xml.namespace.QName` | `ATTR_SEQUENCE_SET_LINKED_IDS`
    `static javax.xml.namespace.QName` | `ATTR_SINGLE_CHAR_LINK`
    `static javax.xml.namespace.QName` | `ATTR_SINGLE_OTU_LINK`
    `static javax.xml.namespace.QName` | `ATTR_SINGLE_STATE_LINK`
    `static javax.xml.namespace.QName` | `ATTR_SOURCE`
    `static javax.xml.namespace.QName` | `ATTR_STATE_SET_LINKED_IDS`
    `static javax.xml.namespace.QName` | `ATTR_STATES`
    `static javax.xml.namespace.QName` | `ATTR_SYMBOL`
    `static javax.xml.namespace.QName` | `ATTR_TARGET`
    `static javax.xml.namespace.QName` | `ATTR_TOKENS`
    `static javax.xml.namespace.QName` | `ATTR_TREE_SET_LINKED_NETWORK_IDS`
    `static javax.xml.namespace.QName` | `ATTR_TREE_SET_LINKED_TREE_IDS`
    `static javax.xml.namespace.QName` | `ATTR_VERSION`
    `static javax.xml.namespace.QName` | `ATTR_XSI_TYPE`
    `static java.lang.String` | `DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX`
    `static java.lang.String` | `NEXML_DEFAULT_NAMESPACE_PREFIX`
    `static java.lang.String` | `NEXML_FORMAT_NAME`
    `static java.lang.String` | `NEXML_NAMESPACE`
    `static java.lang.String` | `NEXML_NAMESPACE_PREFIX`
    `static java.lang.String` | `NEXML_PREDICATE_NAMESPACE`
    `static java.lang.String` | `NEXML_VERSION`
    `static javax.xml.namespace.QName` | `PREDICATE_CHAR_ATTR_CODON_POSITION`
    `static javax.xml.namespace.QName` | `PREDICATE_CHAR_ATTR_TOKENS`
    `static javax.xml.namespace.QName` | `PREDICATE_FORMAT`
    `static javax.xml.namespace.QName` | `PREDICATE_MATRIX`
    `static javax.xml.namespace.QName` | `PREDICATE_ORIGINAL_LABEL`
    `static javax.xml.namespace.QName` | `PREDICATE_ORIGINAL_TOKEN_NAME`
    `static javax.xml.namespace.QName` | `TAG_CELL`
    `static javax.xml.namespace.QName` | `TAG_CHAR`
    `static javax.xml.namespace.QName` | `TAG_CHARACTERS`
    `static javax.xml.namespace.QName` | `TAG_EDGE`
    `static javax.xml.namespace.QName` | `TAG_FORMAT`
    `static javax.xml.namespace.QName` | `TAG_MATRIX`
    `static javax.xml.namespace.QName` | `TAG_MEMBER`
    `static javax.xml.namespace.QName` | `TAG_META`
    `static javax.xml.namespace.QName` | `TAG_NETWORK`
    `static javax.xml.namespace.QName` | `TAG_NODE`
    `static javax.xml.namespace.QName` | `TAG_OTU`
    `static javax.xml.namespace.QName` | `TAG_OTUS`
    `static javax.xml.namespace.QName` | `TAG_POLYMORPHIC`
    `static javax.xml.namespace.QName` | `TAG_ROOT`
    `static javax.xml.namespace.QName` | `TAG_ROOTEDGE`
    `static javax.xml.namespace.QName` | `TAG_ROW`
    `static javax.xml.namespace.QName` | `TAG_SEQ`
    `static javax.xml.namespace.QName` | `TAG_SET`
    `static javax.xml.namespace.QName` | `TAG_STATE`
    `static javax.xml.namespace.QName` | `TAG_STATES`
    `static javax.xml.namespace.QName` | `TAG_TREE`
    `static javax.xml.namespace.QName` | `TAG_TREES`
    `static javax.xml.namespace.QName` | `TAG_UNCERTAIN`
    `static java.lang.String` | `TYPE_CONTIN_CELLS`
    `static java.lang.String` | `TYPE_CONTIN_SEQ`
    `static java.lang.String` | `TYPE_DNA_CELLS`
    `static java.lang.String` | `TYPE_DNA_SEQS`
    `static java.lang.String` | `TYPE_FLOAT_NETWORK`
    `static java.lang.String` | `TYPE_FLOAT_TREE`
    `static java.lang.String` | `TYPE_INT_NETWORK`
    `static java.lang.String` | `TYPE_INT_TREE`
    `static java.lang.String` | `TYPE_LITERAL_META`
    `static java.lang.String` | `TYPE_PROTEIN_CELLS`
    `static java.lang.String` | `TYPE_PROTEIN_SEQS`
    `static java.lang.String` | `TYPE_RESOURCE_META`
    `static java.lang.String` | `TYPE_RESTRICTION_CELLS`
    `static java.lang.String` | `TYPE_RESTRICTION_SEQS`
    `static java.lang.String` | `TYPE_RNA_CELLS`
    `static java.lang.String` | `TYPE_RNA_SEQS`
    `static java.lang.String` | `TYPE_STANDARD_CELLS`
    `static java.lang.String` | `TYPE_STANDARD_SEQ`
    `static java.lang.String` | `UNDEFINED_OTU_ID_PREFIX`
    `static java.lang.String` | `UNDEFINED_OTU_LABEL`
    `static java.lang.String` | `UNDEFINED_OTUS_ID_PREFIX`
    `static java.lang.String` | `UNDEFINED_OTUS_LABEL`

- - ### Field Detail

    - #### NEXML_FORMAT_NAME

          static final java.lang.String NEXML_FORMAT_NAME

      See Also:
        Constant Field Values

    - #### NEXML_VERSION

          static final java.lang.String NEXML_VERSION

      See Also:
        Constant Field Values

    - #### NEXML_DEFAULT_NAMESPACE_PREFIX

          static final java.lang.String NEXML_DEFAULT_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### NEXML_NAMESPACE

          static final java.lang.String NEXML_NAMESPACE

      See Also:
        Constant Field Values

    - #### TAG_ROOT

          static final javax.xml.namespace.QName TAG_ROOT

    - #### TAG_META

          static final javax.xml.namespace.QName TAG_META

    - #### TAG_SET

          static final javax.xml.namespace.QName TAG_SET

    - #### TAG_OTUS

          static final javax.xml.namespace.QName TAG_OTUS

    - #### TAG_OTU

          static final javax.xml.namespace.QName TAG_OTU

    - #### TAG_CHARACTERS

          static final javax.xml.namespace.QName TAG_CHARACTERS

    - #### TAG_FORMAT

          static final javax.xml.namespace.QName TAG_FORMAT

    - #### TAG_STATES

          static final javax.xml.namespace.QName TAG_STATES

    - #### TAG_STATE

          static final javax.xml.namespace.QName TAG_STATE

    - #### TAG_POLYMORPHIC

          static final javax.xml.namespace.QName TAG_POLYMORPHIC

    - #### TAG_UNCERTAIN

          static final javax.xml.namespace.QName TAG_UNCERTAIN

    - #### TAG_MEMBER

          static final javax.xml.namespace.QName TAG_MEMBER

    - #### TAG_CHAR

          static final javax.xml.namespace.QName TAG_CHAR

    - #### TAG_MATRIX

          static final javax.xml.namespace.QName TAG_MATRIX

    - #### TAG_ROW

          static final javax.xml.namespace.QName TAG_ROW

    - #### TAG_CELL

          static final javax.xml.namespace.QName TAG_CELL

    - #### TAG_SEQ

          static final javax.xml.namespace.QName TAG_SEQ

    - #### TAG_TREES

          static final javax.xml.namespace.QName TAG_TREES

    - #### TAG_TREE

          static final javax.xml.namespace.QName TAG_TREE

    - #### TAG_NETWORK

          static final javax.xml.namespace.QName TAG_NETWORK

    - #### TAG_NODE

          static final javax.xml.namespace.QName TAG_NODE

    - #### TAG_EDGE

          static final javax.xml.namespace.QName TAG_EDGE

    - #### TAG_ROOTEDGE

          static final javax.xml.namespace.QName TAG_ROOTEDGE

    - #### ATTR_VERSION

          static final javax.xml.namespace.QName ATTR_VERSION

    - #### ATTR_GENERATOR

          static final javax.xml.namespace.QName ATTR_GENERATOR

    - #### ATTR_ID

          static final javax.xml.namespace.QName ATTR_ID

    - #### ATTR_LABEL

          static final javax.xml.namespace.QName ATTR_LABEL

    - #### ATTR_ABOUT

          static final javax.xml.namespace.QName ATTR_ABOUT

    - #### ATTR_SINGLE_OTU_LINK

          static final javax.xml.namespace.QName ATTR_SINGLE_OTU_LINK

    - #### ATTR_OTUS

          static final javax.xml.namespace.QName ATTR_OTUS

    - #### ATTR_SYMBOL

          static final javax.xml.namespace.QName ATTR_SYMBOL

    - #### ATTR_SINGLE_STATE_LINK

          static final javax.xml.namespace.QName ATTR_SINGLE_STATE_LINK

    - #### ATTR_STATES

          static final javax.xml.namespace.QName ATTR_STATES

    - #### ATTR_SINGLE_CHAR_LINK

          static final javax.xml.namespace.QName ATTR_SINGLE_CHAR_LINK

    - #### ATTR_ROOT

          static final javax.xml.namespace.QName ATTR_ROOT

    - #### ATTR_TOKENS

          static final javax.xml.namespace.QName ATTR_TOKENS

    - #### ATTR_CODON_POSITION

          static final javax.xml.namespace.QName ATTR_CODON_POSITION

    - #### ATTR_SOURCE

          static final javax.xml.namespace.QName ATTR_SOURCE

    - #### ATTR_TARGET

          static final javax.xml.namespace.QName ATTR_TARGET

    - #### ATTR_LENGTH

          static final javax.xml.namespace.QName ATTR_LENGTH

    - #### ATTR_XSI_TYPE

          static final javax.xml.namespace.QName ATTR_XSI_TYPE

    - #### ATTR_DATATYPE

          static final javax.xml.namespace.QName ATTR_DATATYPE

    - #### ATTR_HREF

          static final javax.xml.namespace.QName ATTR_HREF

    - #### ATTR_REL

          static final javax.xml.namespace.QName ATTR_REL

    - #### ATTR_CONTENT

          static final javax.xml.namespace.QName ATTR_CONTENT

    - #### ATTR_PROPERTY

          static final javax.xml.namespace.QName ATTR_PROPERTY

    - #### ATTR_OTU_SET_LINKED_IDS

          static final javax.xml.namespace.QName ATTR_OTU_SET_LINKED_IDS

    - #### ATTR_STATE_SET_LINKED_IDS

          static final javax.xml.namespace.QName ATTR_STATE_SET_LINKED_IDS

    - #### ATTR_CHAR_SET_LINKED_IDS

          static final javax.xml.namespace.QName ATTR_CHAR_SET_LINKED_IDS

    - #### ATTR_CELL_SET_LINKED_IDS

          static final javax.xml.namespace.QName ATTR_CELL_SET_LINKED_IDS

    - #### ATTR_SEQUENCE_SET_LINKED_IDS

          static final javax.xml.namespace.QName ATTR_SEQUENCE_SET_LINKED_IDS

    - #### ATTR_NODE_EDGE_SET_LINKED_NODE_IDS

          static final javax.xml.namespace.QName ATTR_NODE_EDGE_SET_LINKED_NODE_IDS

    - #### ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS

          static final javax.xml.namespace.QName ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS

    - #### ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS

          static final javax.xml.namespace.QName ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS

    - #### ATTR_TREE_SET_LINKED_TREE_IDS

          static final javax.xml.namespace.QName ATTR_TREE_SET_LINKED_TREE_IDS

    - #### ATTR_TREE_SET_LINKED_NETWORK_IDS

          static final javax.xml.namespace.QName ATTR_TREE_SET_LINKED_NETWORK_IDS

    - #### TYPE_DNA_SEQS

          static final java.lang.String TYPE_DNA_SEQS

      See Also:
        Constant Field Values

    - #### TYPE_DNA_CELLS

          static final java.lang.String TYPE_DNA_CELLS

      See Also:
        Constant Field Values

    - #### TYPE_RNA_SEQS

          static final java.lang.String TYPE_RNA_SEQS

      See Also:
        Constant Field Values

    - #### TYPE_RNA_CELLS

          static final java.lang.String TYPE_RNA_CELLS

      See Also:
        Constant Field Values

    - #### TYPE_PROTEIN_SEQS

          static final java.lang.String TYPE_PROTEIN_SEQS

      See Also:
        Constant Field Values

    - #### TYPE_PROTEIN_CELLS

          static final java.lang.String TYPE_PROTEIN_CELLS

      See Also:
        Constant Field Values

    - #### TYPE_RESTRICTION_SEQS

          static final java.lang.String TYPE_RESTRICTION_SEQS

      See Also:
        Constant Field Values

    - #### TYPE_RESTRICTION_CELLS

          static final java.lang.String TYPE_RESTRICTION_CELLS

      See Also:
        Constant Field Values

    - #### TYPE_CONTIN_SEQ

          static final java.lang.String TYPE_CONTIN_SEQ

      See Also:
        Constant Field Values

    - #### TYPE_CONTIN_CELLS

          static final java.lang.String TYPE_CONTIN_CELLS

      See Also:
        Constant Field Values

    - #### TYPE_STANDARD_SEQ

          static final java.lang.String TYPE_STANDARD_SEQ

      See Also:
        Constant Field Values

    - #### TYPE_STANDARD_CELLS

          static final java.lang.String TYPE_STANDARD_CELLS

      See Also:
        Constant Field Values

    - #### TYPE_FLOAT_TREE

          static final java.lang.String TYPE_FLOAT_TREE

      See Also:
        Constant Field Values

    - #### TYPE_INT_TREE

          static final java.lang.String TYPE_INT_TREE

      See Also:
        Constant Field Values

    - #### TYPE_FLOAT_NETWORK

          static final java.lang.String TYPE_FLOAT_NETWORK

      See Also:
        Constant Field Values

    - #### TYPE_INT_NETWORK

          static final java.lang.String TYPE_INT_NETWORK

      See Also:
        Constant Field Values

    - #### TYPE_LITERAL_META

          static final java.lang.String TYPE_LITERAL_META

      See Also:
        Constant Field Values

    - #### TYPE_RESOURCE_META

          static final java.lang.String TYPE_RESOURCE_META

      See Also:
        Constant Field Values

    - #### UNDEFINED_OTUS_ID_PREFIX

          static final java.lang.String UNDEFINED_OTUS_ID_PREFIX

      See Also:
        Constant Field Values

    - #### UNDEFINED_OTUS_LABEL

          static final java.lang.String UNDEFINED_OTUS_LABEL

      See Also:
        Constant Field Values

    - #### UNDEFINED_OTU_ID_PREFIX

          static final java.lang.String UNDEFINED_OTU_ID_PREFIX

      See Also:
        Constant Field Values

    - #### UNDEFINED_OTU_LABEL

          static final java.lang.String UNDEFINED_OTU_LABEL

      See Also:
        Constant Field Values

    - #### DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX

          static final java.lang.String DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX

      See Also:
        Constant Field Values

    - #### NEXML_NAMESPACE_PREFIX

          static final java.lang.String NEXML_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### NEXML_PREDICATE_NAMESPACE

          static final java.lang.String NEXML_PREDICATE_NAMESPACE

      See Also:
        Constant Field Values

    - #### PREDICATE_CHAR_ATTR_TOKENS

          static final javax.xml.namespace.QName PREDICATE_CHAR_ATTR_TOKENS

    - #### PREDICATE_CHAR_ATTR_CODON_POSITION

          static final javax.xml.namespace.QName PREDICATE_CHAR_ATTR_CODON_POSITION

    - #### PREDICATE_FORMAT

          static final javax.xml.namespace.QName PREDICATE_FORMAT

    - #### PREDICATE_MATRIX

          static final javax.xml.namespace.QName PREDICATE_MATRIX

    - #### PREDICATE_ORIGINAL_LABEL

          static final javax.xml.namespace.QName PREDICATE_ORIGINAL_LABEL

    - #### PREDICATE_ORIGINAL_TOKEN_NAME

          static final javax.xml.namespace.QName PREDICATE_ORIGINAL_TOKEN_NAME